ScriptException
Date: 2019-10-22

org.jmol.script

## Class ScriptException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.jmol.script.ScriptException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ScriptInterruption

      public class ScriptException
      extends java.lang.Exception

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private ScriptEval` | `eval`
    `(package private) boolean` | `isError`
    `(package private) java.lang.String` | `message`
    `(package private) java.lang.String` | `untranslated`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScriptException(ScriptError se, java.lang.String msg, java.lang.String untranslated, boolean isError)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getErrorMessageUntranslated()`
    `java.lang.String` | `getMessage()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### eval

          private final ScriptEval eval

    - #### message

          java.lang.String message

    - #### untranslated

          java.lang.String untranslated

    - #### isError

          boolean isError

  - ### Constructor Detail

    - #### ScriptException

          ScriptException(ScriptError se,
                          java.lang.String msg,
                          java.lang.String untranslated,
                          boolean isError)

      Parameters:
        `se` -
        `msg` -
        `untranslated` -
        `isError` -

  - ### Method Detail

    - #### getErrorMessageUntranslated

          protected java.lang.String getErrorMessageUntranslated()

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Throwable`